# CLI auth

The device login the `syndai` CLI uses to get an API key: start a login, show the user code to a person to approve in the browser, then poll for the key. Unapproved polls answer with OAuth device-flow errors.

- [Start a CLI device login](https://syndai.ai/docs/api/cli-auth/start-cli-device.md): POST /api/v1/cli/device
- [Poll a CLI device login](https://syndai.ai/docs/api/cli-auth/redeem-cli-device.md): POST /api/v1/cli/device/token
- [Sign up by email code](https://syndai.ai/docs/api/cli-auth/sign-up.md): POST /api/v1/signup
- [Verify a sign-up code](https://syndai.ai/docs/api/cli-auth/verify-sign-up.md): POST /api/v1/signup/verify
